
import 'package:flutter/material.dart';
import 'package:app/modules/splash/splash_controller.dart';
import 'package:plugin_basic/base/base_stateless_page.dart';
import 'package:cs_resources/constants/color_constants.dart';
import 'package:cs_resources/generated/assets.dart';
import 'package:shared/utils/size_config.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/utils/dark_theme_util.dart';

class SplashPage extends BaseStatelessPage<SplashController> {
  SplashPage({super.key});

  @override
  SplashController createRawController() {
    return SplashController();
  }

  @override
  void initState() {}

  @override
  Widget buildWidget(BuildContext context) {
    SizeConfig().init(context);

    return Scaffold(
      body: Container(
        decoration: const BoxDecoration(
          gradient: LinearGradient(
            colors: [
              Color(0xFF091D44),
              Color(0xFF245A8A),
              Color(0xFF7F7CEC),
            ],
            begin: Alignment.topCenter,
            end: Alignment.bottomCenter,
          ),
        ),
        child: const Center(
          child: MyAssetImage(
            Assets.assetsYyBusinessTopLogo,
            width: 166,
            height: 67.5,
            fit: BoxFit.contain,
          ),
        ),
      ),
    );
  }

}
